USE SSISDB;
GO

-- Step 1: Create the execution
DECLARE @x_id BIGINT;

EXEC [catalog].[create_execution] 
	@package_name = N'_Load Controller.dtsx'
	, @execution_id = @x_id OUTPUT
	, @folder_name = N'DunderMifflin'
	, @project_name = N'LoadSalesData_Staging'
	, @use32bitruntime = False
	, @reference_id = 1		-- Environment ref ID here
	, @runinscaleout = False

-- Step 3: Start the package execution
EXEC [catalog].[start_execution] @execution_id = @x_id
