USE [SSISDB]
GO

-- Set  up runtime values
DECLARE @return_val INT
DECLARE @folder_name NVARCHAR(128) = N'SSIS Catalog Book'
DECLARE @project_name NVARCHAR(128) = N'Test Project 1'
DECLARE @project_stream VARBINARY(MAX) = (
	SELECT * 
	FROM OPENROWSET(BULK 
			'E:\SSIS Catalog Book\Test Project 1\Test Project 1\bin\Development\Test Project 1.ispac'
			, SINGLE_BLOB) 
		AS BinaryData
)

DECLARE @operation_id BIGINT

EXECUTE @return_val = [catalog].[deploy_project] 
   @folder_name
	, @project_name
	, @project_stream
	, @operation_id OUTPUT

SELECT @return_val	-- 0 indicates success, 1 means failure

GO